Home | All Classes | Grouped Classes | Index | Search

# CL_ResourceManager::CL_ResourceManager

Resource Manager constructor.

    	CL_ResourceManager(
    		const std::string& config_file, CL_InputSourceProvider* provider = 0, bool delete_inputsource_provider = false);

    	CL_ResourceManager(
    		const CL_ResourceManager& copy);

    	CL_ResourceManager();

Parameters:

config_file
  The name of the file in which the resources are defined.
provider
  The optional inputprovider in which, the resource file is stored.
delete_inputsource_provider
  If true, deletes the provider when CL_ResourceManager is destroyed.

See also:

CL_InputSourceProvider | CL_ResourceManager | CL_Resource | CL_InputSource

Questions or comments, write to the ClanLib mailing list.